RIGSWR(1)

NAME
rigswr - measure VSWR vs frequency using hamlib

SYNOPSIS
rigswr [OPTION]... start_freq stop_freq [freq_step]

DESCRIPTION
rigswr uses Hamlib to control a rig to measure VSWR vs frequency:
It scans frequencies from start_freq to stop_freq with step freq_step. For each frequency, it transmits at 25% of total POWER during 0.5 second in CW mode and read VSWR.
Frequency and corresponding VSWR are then printed on stdout.
To work correctly, rigswr needs a rig that could measure VSWR and a Hamlib backend that is able to get it.

Keep in mind that Hamlib is still BETA level software. A lof of stuff hasn't been tested thoroughly, and the API may change without publicised notice. Please report bugs and feedback at the e-mail address given in the REPORTING BUGS section.

OPTIONS
This program follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-m, --model=id
    Select radio model number. See model list provided by rigctl.

-r, --rig-file=device
    Use device as the file name of the radio to operate on.

-s, --serial-speed=baud
    Set serial speed to baud rate. Uses maximal rig speed as default.

-c, --civaddr=id
    Use id as the CI-V address to communicate with the rig. Only for Icom rigs. NB: the id is in decimal, unless prefixed by 0x, in which case it is hexadecimal.

-p, --ptt-file=device
    Use device as the file name of the Push-To-Talk device to operate on. This is only needed if the radio doesn't have legacy PTT control.

-p, --ptt-type=type
    Use type device as the kind of the Push-To-Talk device to operate on. Supported types are RIG, DTR, RTS, PARALLEL, NONE. This is only needed if the radio doesn't have legacy PTT control.

-C, --set-conf=parm=val[,parm=val]*
    Set config parameter. See -L option of rigctl for a list.

-v, --verbose
    Set verbose mode, cumulative (BUG, ERR, WARN, VERBOSE, TRACE).

-h, --help
    Show summary of options and exit.

-V, --version
    Show version of program and exit.

RETURN VALUE
rigswr exits with: 0 if all operations went fine; 1 if there was an invalid command line option or arg; 2 if an error was returned by Hamlib; 3 if the rig doesn't have the required capabilities.

EXAMPLE
rigswr -m 209 -r /dev/tty1 14000000 14350000 50000 > cswr
Scans frequencies between 14MHz and 14.200MHz with 50KHz step on a TS850 and record VSWR measurements in file cswr.
After completion, cswr file contains the following lines :
  14000000 1.50
  14050000 1.31
  14100000 1.22
  14150000 1.07
  14200000 1.07

Result could then be ploted with gnuplot:
    gnuplot
    set data style linespoints
    set grid
    plot "cswr"

AUTHOR
Man page written by Thierry Leconte & Stephane Fillod .

BUGS
Depending on keyer/QSK setup, transmits in CW mode may not be modulated thus giving possibly wrong result. Please report this situation if it happens.

REPORTING BUGS
Report bugs to <hamlib-developer@users.sourceforge.net>.

COPYRIGHT
Copyright © 2004-2006 Thierry Leconte & Stephane Fillod
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
hamlib(3),rigctl(1)